#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=plaster

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src \
	    python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-plaster-doc/usr/share/doc/python-plaster-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/save-egg-files-from-dh_python/ && tar xaf eggs.tar.gz
	rsync -a -v debian/save-egg-files-from-dh_python/app* tests/fake_packages
	dh_auto_test
endif
